%define _python_dist_allow_version_zero 1
# ^^ auto-added by mkit rpmstuff for early devel version

%global _python_dist_allow_version_zero 1
%global srcname inigrep
%global vdk_pylib_req vdk-pylib >= 0.1.0, vdk-pylib < 0.2.0


Name:           python-inigrep
Version:        0.5.3
Release:        1%{?dist}
Summary:        inigrep - grep for (some) INIs
URL:            https://gitlab.com/vornet/python/python-inigrep
License:        LGPLv2
Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  %{vdk_pylib_req}

%description
inigrep is designed to read a particular simplistic dialect of
INI configuration files.  In a sense, it can be considered as
a "grep for INIs", in that rather than parsing the file into
a typed memory structure for later access, it passes file each
time a query is done, and spits out relevant parts; treating
everything as text.  Hence, it's not intended as replacement
for a full-blown configuration system but rather a quick & dirty
"swiss axe" for quick & dirty scripts.

Built with vdk-pylib-0.1.1


%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-hoover
Requires:       python3
%description -n python3-%{srcname}
inigrep is designed to read a particular simplistic dialect of
INI configuration files.  In a sense, it can be considered as
a "grep for INIs", in that rather than parsing the file into
a typed memory structure for later access, it passes file each
time a query is done, and spits out relevant parts; treating
everything as text.  Hence, it's not intended as replacement
for a full-blown configuration system but rather a quick & dirty
"swiss axe" for quick & dirty scripts.


%prep
%setup -q


%build
make %{?_smp_mflags} PREFIX=/usr pystuff
%py3_build

%install
%py3_install

%check
export VDK_TEST__DEBUG=true
%{_vdk_pylib_utildir}/vdk_test %{srcname} doctest \
  && %{_vdk_pylib_utildir}/vdk_test %{srcname} unittest

%files -n python3-%{srcname}
%{python3_sitelib}/%{srcname}-*.egg-info
%{python3_sitelib}/%{srcname}/


%changelog

# vim: syntax=spec:
# specfile built with MKit 0.1.3 and vdk-pylib-0.1.1
